Tout d'abord merci pour ce magnifique outil qu'est AMC !
Je n'arrive pas à obtenir l'interface d'AMC en français même en faisant précédé la commande 
auto-multiple-choice de LANG=fr_FR.utf8
Voici ma config :
- macOS Big Sur version 11.0.1
- Mactex-2020
- Xcode version 12.2
- MacPorts 2.6.4
- X11 installé avec sudo port install xorg-server + sudo port Install xterm
- version développement de AMC installée avec sudo port install auto-multiple-choice-devel +mactex
Pourriez-vous m'aider à résoudre ce problème ?
D'avance, merci.

Bonne soirée.
Franck

History
11/27/2020 02:12 pm - Joël Brogniart
Cool, déjà ça marche. Je ne l'ai même pas encore installé. J'en étais encore à galérer pour des ports PHP et je réinstallais tout au fur et à mesure de la 
résolution des problèmes. Je vais l'installer et voir ça…

11/27/2020 02:16 pm - Joël Brogniart
En fait, il suffisait que je regarde sur une autre machine. Essayez de le lancer avec :
<pre>
LANG=fr_FR.UTF-8 auto-multiple-choice
</pre>

11/28/2020 09:07 am - Franck Toussaint
Bonjour,

Cool, ça marche !!!

Bonne journée.
Franck

11/28/2020 09:25 am - Franck Toussaint
Franck Toussaint wrote:
> Bonjour,
> 
> Cool, ça marche pour l'interface fr.
Un dernier petit point à régler l'accès au contenu de Documents 
Message : Impossible de lire de contenu de Documents
Error opening directory 'Users/ftous/Documents': Operation not permitted 
> 
> Bonne journée.
> Franck

11/30/2020 10:27 am - Joël Brogniart
Le problème est présent depuis la version précédentE de macOS. Il est lié à la protection des accès aux fichiers (Préférences Système > Sécurité et 
confidentialité > Confidentialité). J'ai fait quelques essais mais n'ai pas réussi à déterminer à qui je devais accorder des droits. En attendant j'ai 
simplement déplacÉ le dossier des projets en dehors du dossier "Documents". Je vais essayer d'aller un peu plus loin.

Donner les droits aux outils suivant n'a pas résolu le problème ;
- /Applications/MacPorts/X11
- /opt/local/bin/auto-multiple-choice
- /opt/local/lib/AMC/perl tous les scripts du dossier

11/30/2020 11:41 am - Joël Brogniart
Bon j'ai trouvé quelque chose qui fonctionne mais qu'il ne faut surtout pas utiliser ! Il vaut mieux déplacer le dossier des projets hors du dossier 
"Documents".

AMC utilise X11 qui est lancé avec "/bin/bash". Donner à "/bin/bash" l'autorisation d'accès à tous les fichiers permet de ne plus avoir le message 
d'accès au dossier Documents non autorisé. Mais ça donne l'accès à tous les fichiers à "/bin/bash". Et ainsi, n'importe quel script qui utiliserait 
"/bin/bash" aurait accès à tous les fichiers et pouvait en faire ce qu'il veut : les effacer, les encrypter pour vous demander une rançon… Donc faut pas !

Des produits comme Gimp et Inkscape utilisent aussi X11 et ont résolu le problème proprement. Si je trouve le temps de fouiller pour voir comment ils 
ont fait (et de comprendre) peut-être que ça sera transposable à AMC.

12/04/2020 09:05 am - Franck Toussaint
Bonjour,

Déplacer le dossier des projets hors du dossier "Documents" n'est pas pratique car il faut aussi déplacer les figures. Quand celles-ci se trouvent dans 
un dossier ressources sous "Documents" auxquelles on accède avec \graphicspath sous LaTeX, c'est fastidieux.
J'ai solutionné le problème en faisant ce qui n'est pas recommandé.
Merci à vous.

Bonne journée.
Franck

12/18/2020 01:24 pm - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100
